import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';

class GoodsShareImageWidget extends StatelessWidget {
  final String imageUrl;

  const GoodsShareImageWidget(this.imageUrl, {Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(left: 10, right: 10),
      padding: EdgeInsets.only(left: 16, top: 0, right: 16, bottom: 10),
      // decoration: BoxDecoration(
      //     color: Color(0xfff8f8f8), borderRadius: BorderRadius.circular(10)),
      width: double.infinity,
      child: Align(
        alignment: Alignment.topLeft,
        child: Container(
          width: 95,
          child: CachedNetworkImage(
            imageUrl: imageUrl ?? '',
            fit: BoxFit.fitWidth,
          ),
        ),
      ),
    );
  }
}
